# Created by pyp2rpm-3.3.7
%global pypi_name jaraco-itertools

# We don't have all needed python pkgs, yet
%bcond_with docs

Name:           python-%{pypi_name}
Version:        6.4.1
Release:        %mkrel 5
Summary:        jaraco.itertools
Group:          Development/Python
License:        None
URL:            https://github.com/jaraco/jaraco.itertools
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/jaraco.itertools-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(inflect)
BuildRequires:  python3dist(jaraco.packaging)
%endif

%description
jaraco.itertools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
jaraco.itertools.

%prep
%autosetup -n jaraco.itertools-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files jaraco

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 6.4.1-5.mga10
+ Revision: 2154313
- rebuild for python 3.13

* Wed Feb 21 2024 papoteur <papoteur> 6.4.1-4.mga10
+ Revision: 2042932
- rebuild for python 3.12
- use pyproject macros
- new version 6.4.1

* Tue Mar 29 2022 umeabot <umeabot> 6.0.1-3.mga9
+ Revision: 1831969
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 6.0.1-2.mga9
+ Revision: 1784146
- rebuild for python-3.10

* Wed Sep 01 2021 wally <wally> 6.0.1-1.mga9
+ Revision: 1743945
- imported package python-jaraco-itertools

